Package io.vertx.cassandra

## Interface ResultSet

-     public interface ResultSet

  It is like `AsyncResultSet`, but adapted for Vert.x.
  Author:
    Pavel Drankou, Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<List<com.datastax.oss.driver.api.core.cql.Row>>` | `all()` | The method should not be used concurrently with others like `fetchNextPage()` or `one()`.
    `Iterable<com.datastax.oss.driver.api.core.cql.Row>` | `currentPage()` |
    `Future<ResultSet>` | `fetchNextPage()` |
    `com.datastax.oss.driver.api.core.cql.ColumnDefinitions` | `getColumnDefinitions()` |
    `com.datastax.oss.driver.api.core.cql.ExecutionInfo` | `getExecutionInfo()` |
    `boolean` | `hasMorePages()` |
    `com.datastax.oss.driver.api.core.cql.Row` | `one()` |
    `int` | `remaining()` |
    `boolean` | `wasApplied()` |

- - ### Method Detail

    - #### all

          Future<List<com.datastax.oss.driver.api.core.cql.Row>> all()

      The method should not be used concurrently with others like `fetchNextPage()` or `one()`. This may lead to unexpected result.
      Returns:
        a future notified all the rows are fetched

    - #### getColumnDefinitions

          com.datastax.oss.driver.api.core.cql.ColumnDefinitions getColumnDefinitions()

      See Also:
        `AsyncPagingIterable.getColumnDefinitions()`

    - #### getExecutionInfo

          com.datastax.oss.driver.api.core.cql.ExecutionInfo getExecutionInfo()

      See Also:
        `AsyncPagingIterable.getExecutionInfo()`

    - #### remaining

          int remaining()

      See Also:
        `AsyncPagingIterable.remaining()`

    - #### currentPage

          Iterable<com.datastax.oss.driver.api.core.cql.Row> currentPage()

      See Also:
        `AsyncPagingIterable.currentPage()`

    - #### one

          com.datastax.oss.driver.api.core.cql.Row one()

      See Also:
        `AsyncPagingIterable.one()`

    - #### hasMorePages

          boolean hasMorePages()

      See Also:
        `AsyncPagingIterable.hasMorePages()`

    - #### fetchNextPage

          Future<ResultSet> fetchNextPage()
                                   throws IllegalStateException

      Throws:
        `IllegalStateException`
      See Also:
        `AsyncResultSet.wasApplied()`

    - #### wasApplied

          boolean wasApplied()

      See Also:
        `AsyncResultSet.wasApplied()`